This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990100 - Creating multiple network with the same name
Creating multiple network with the same name
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity medium
: ---
: 3.3.0
Assigned To: Mike Kolesnik
Meni Yakove
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 07:35 EDT by awinter
Modified: 2016-02-10 14:46 EST (History)
7 users (show)

See Also:
Fixed In Version: is14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18965 None None None Never

  None (edit)
Description awinter 2013-07-30 07:35:29 EDT
Description of problem:
If I press on OK rapidly when creating a network through the Network tab, the network is created multiply times


Steps to Reproduce:
1. In the network tab, create new network
2. Select any name (length < 15) (for example: 'networkName')
3. Select any Data Center
4. Click rapidly on OK.

Actual results:
The network 'networkName' will be created several time.

Expected results:
The network 'networkName' should be created once.

Additional info:
After the rapid clicking, the following message pop:
"Error while executing action: Cannot add Network. The logical network's name is 
 already used by an existing logical network in the same data-center.
 -Please choose a different name."
(The networks are still being created)
Comment 2 Itamar Heim 2013-07-31 02:48:39 EDT
shouldn't there be a db constraint on things like uniqueness?
Comment 3 Jay Turner 2013-08-01 07:59:32 EDT
Setting Target Milestone Beta1.
Comment 4 Mike Kolesnik 2013-09-08 06:57:02 EDT
This was not a regression, simply a race which was taking place and no one noticed
Comment 6 Meni Yakove 2013-09-12 02:54:38 EDT
rhevm-3.3.0-0.21.master.el6ev.noarch
Comment 8 Itamar Heim 2014-01-21 17:22:26 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:23:35 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:27:28 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.